@use "@/assets/styles/bootstrap";

:root {
  --font-default: "League Spartan", system-ui, -apple-system,
    "BlinkMacSystemFont", "Segoe UI", "Roboto", "Oxygen", "Ubuntu", "Cantarell",
    "Open Sans", "Helvetica Neue", sans-serif;
  --color-dark: rgba(51 51 51 / 100%);
  --color-dark-shadow-light: rgba(51 51 51 / 15%);
  --color-light: rgba(255 255 255 / 100%);
  --color-grey-dark: rgba(79 79 79 / 100%);
  --color-grey-light: rgba(189 189 189 / 100%);
  --color-grey-lighter: rgba(239 239 239 / 100%);
  --color-grey-lightest: rgba(242 242 242 / 100%);
  --color-primary: rgba(47 128 237 / 100%);
  --color-primary-light: rgba(151 190 244 / 100%);
  --color-primary-background-light: rgba(246 248 251 / 100%);
  --color-primary-shadow-light: rgba(47 128 237 / 10%);
  --color-success: rgba(61 180 109 / 100%);
  --color-success-shadow-light: rgba(61 180 109 / 10%);
  --color-alert: rgba(235 87 87 /100%);
  --color-alert-shadow-light: rgb(32 19 19 / 10%);
  --color-dim-image: rgba(0 0 0 / 38%);
  --color-dim-background: rgba(0 0 0 / 25%);
  --box-shadow-size: 0 1px 0.6rem;

  @media (prefers-contrast: more) {
    --color-dark: rgba(0 0 0 / 100%);
  }

  --transition-config: 125ms ease-in-out;
  --semi-small-screen__width: #{bootstrap.$semi-small-screen__width};
}

html {
  font-size: 62.5%;
}

body {
  font-family: var(--font-default);
  padding: calc(3.2rem + env(safe-area-inset-top))
    calc(7vw + env(safe-area-inset-right))
    calc(4.5rem + env(safe-area-inset-bottom))
    calc(7vw + env(safe-area-inset-left));
  background-color: var(--color-light);
  font-size: 2rem;

  @include bootstrap.respond-to-semi-small-screen {
    padding-left: calc(4vw + env(safe-area-inset-left));
    padding-right: calc(4vw + env(safe-area-inset-right));
  }

  @include bootstrap.respond-to-tiny-screen {
    font-size: 2.2rem;
  }
}

.heading {
  font-size: 2.2rem;
}
